import os
#pip install pywin32 假如找不到模組報錯的話
from win32com.client import Dispatch

#要處理的xls檔案名稱
xls_array=['DEMO1.xls','DEMO2.xls','DEMO3.xls']

#要匯總的tsv檔案名稱
output_file='output.txt'

#目前資料夾的絕對路徑
base_dir = os.path.dirname(os.path.realpath(__file__))+"\\"
print(base_dir)

xl=Dispatch('Excel.Application')
with open(base_dir + output_file,"w") as f:
    f.writelines("姓名\t暱稱\t專長\t備註\n")
    for xlsName in xls_array:
        wb=xl.Workbooks.Open(base_dir+xlsName)
        ws=wb.Worksheets(1)
        info=ws.UsedRange
        rowsLen=info.Rows.count
        rows=info.Rows
        for j in range(1,rowsLen):
            column=str(rows[j]).replace("((","").replace("),)","").replace("None","''").replace("'","").split(", ")
            print(column)
            tmpStr=column[0]+"\t"+column[1]+"\t"+column[2]+"\t"+column[3]+"\n"
            f.writelines(tmpStr)
        wb.Close(True)
f.close()
